package com.th.demo.model.ware;

import com.th.demo.model.system.SysUser;

import java.util.Date;

public class SplitRecord {
    private String id;

    private String wareName;

    private String stackName;

    private Integer orignalLayer;
    private Integer splitLayer;
    private Integer remainLayer;


    private String materialName;

    private String materialNo;

    private String standard;

    private String model;

    private String customerName;

    private String customerNo;

    private Double orignalCount;

    private Double splitCount;

    private Double remainCount;

    private Double orignalWeight;

    private Double splitWeight;

    private Double remainWeight;

    private String remark;

    private SysUser addUser;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String belongId;

    private String plateNo;

    private String inId;

    private String orignalStoreId;

    private String splitStoreId;

    private String remainStoreId;

    private String receiveAddress;
    private String wgtDcnMtcCd;

    private String edgeTy;

    private String productionPlace;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getWareName() {
        return wareName;
    }

    public void setWareName(String wareName) {
        this.wareName = wareName == null ? null : wareName.trim();
    }

    public String getStackName() {
        return stackName;
    }

    public void setStackName(String stackName) {
        this.stackName = stackName == null ? null : stackName.trim();
    }

    public Integer getOrignalLayer() {
        return orignalLayer;
    }

    public void setOrignalLayer(Integer orignalLayer) {
        this.orignalLayer = orignalLayer;
    }

    public Integer getSplitLayer() {
        return splitLayer;
    }

    public void setSplitLayer(Integer splitLayer) {
        this.splitLayer = splitLayer;
    }

    public Integer getRemainLayer() {
        return remainLayer;
    }

    public void setRemainLayer(Integer remainLayer) {
        this.remainLayer = remainLayer;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo == null ? null : materialNo.trim();
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard == null ? null : standard.trim();
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    public String getCustomerNo() {
        return customerNo;
    }

    public void setCustomerNo(String customerNo) {
        this.customerNo = customerNo == null ? null : customerNo.trim();
    }

    public Double getOrignalCount() {
        return orignalCount;
    }

    public void setOrignalCount(Double orignalCount) {
        this.orignalCount = orignalCount;
    }

    public Double getSplitCount() {
        return splitCount;
    }

    public void setSplitCount(Double splitCount) {
        this.splitCount = splitCount;
    }

    public Double getRemainCount() {
        return remainCount;
    }

    public void setRemainCount(Double remainCount) {
        this.remainCount = remainCount;
    }

    public Double getOrignalWeight() {
        return orignalWeight;
    }

    public void setOrignalWeight(Double orignalWeight) {
        this.orignalWeight = orignalWeight;
    }

    public Double getSplitWeight() {
        return splitWeight;
    }

    public void setSplitWeight(Double splitWeight) {
        this.splitWeight = splitWeight;
    }

    public Double getRemainWeight() {
        return remainWeight;
    }

    public void setRemainWeight(Double remainWeight) {
        this.remainWeight = remainWeight;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public SysUser getAddUser() {
        return addUser;
    }

    public void setAddUser(SysUser addUser) {
        this.addUser = addUser;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getBelongId() {
        return belongId;
    }

    public void setBelongId(String belongId) {
        this.belongId = belongId == null ? null : belongId.trim();
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo == null ? null : plateNo.trim();
    }

    public String getInId() {
        return inId;
    }

    public void setInId(String inId) {
        this.inId = inId == null ? null : inId.trim();
    }

    public String getOrignalStoreId() {
        return orignalStoreId;
    }

    public void setOrignalStoreId(String orignalStoreId) {
        this.orignalStoreId = orignalStoreId;
    }

    public String getSplitStoreId() {
        return splitStoreId;
    }

    public void setSplitStoreId(String splitStoreId) {
        this.splitStoreId = splitStoreId;
    }

    public String getRemainStoreId() {
        return remainStoreId;
    }

    public void setRemainStoreId(String remainStoreId) {
        this.remainStoreId = remainStoreId;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress == null ? null : receiveAddress.trim();
    }

    public String getWgtDcnMtcCd() {
        return wgtDcnMtcCd;
    }

    public void setWgtDcnMtcCd(String wgtDcnMtcCd) {
        this.wgtDcnMtcCd = wgtDcnMtcCd;
    }

    public String getEdgeTy() {
        return edgeTy;
    }

    public void setEdgeTy(String edgeTy) {
        this.edgeTy = edgeTy;
    }

    public String getProductionPlace() {
        return productionPlace;
    }

    public void setProductionPlace(String productionPlace) {
        this.productionPlace = productionPlace;
    }
}